Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I would like to know, how I can play Hi10p videos(h264 videos with 10bit colordepth) in Totem. I know that it's possible to play those files in 13.04, but I'd rather stick to the LTS Version.

image

gstreamer0.10-ffmpeg:
  Installiert: 0.10.13-1
  Kandidat:    0.10.13-1
  Versionstabelle:
 *** 0.10.13-1 0
            500 http:// at.archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
            100 /var/lib/dpkg/status

libavcodec-dev:
  Installiert: (keine)
  Kandidat:    4:0.8.6-0ubuntu0.12.04.1
  Versionstabelle:
         4:0.8.6-0ubuntu0.12.04.1 0
            500 http:// at.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
            500 http:// security.ubuntu.com/ubuntu/ precise-security/main amd64 Packages
         4:0.8.1-0ubuntu1 0
            500 http:// at.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages 
libavcodec53:
  Installiert: 4:0.8.6-0ubuntu0.12.04.1  
  Kandidat:    4:0.8.6-0ubuntu0.12.04.1
  Versionstabelle:
  ***    4:0.8.6-0ubuntu0.12.04.1 0
            500 http:// at.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
            500 http:// security.ubuntu.com/ubuntu/ precise-security/main amd64 Packages
            100 /var/lib/dpkg/status
         4:0.8.1-0ubuntu1 0
            500 http:// at.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages 
libavcodec-extra-52:
   Installiert: (keine)
   Kandidat:    (keine)
   Versionstabelle:
libavcodec-extra-53:
   Installiert: (keine)
   Kandidat:    4:0.8.6ubuntu0.12.04.1
   Versionstabelle:
         4:0.8.6ubuntu0.12.04.1 0
            500 http:// at.archive.ubuntu.com/ubuntu/ precise-updates/universe amd64 Packages
            500 http:// security.ubuntu.com/ubuntu/ precise-security/universe amd64 Packages
         4:0.8.1ubuntu1 0
            500 http:// at.archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
share|improve this question
    
No, it doesn't work in 12.04, otherwise I wouldn't have asked here. –  Caruniom Aug 12 '13 at 17:31
    
I always get this error: link normal h264 files play. –  Caruniom Aug 12 '13 at 17:53
    
Add it up there. I inserted whitespaces after the "http://" otherwise I could'nt post it. –  Caruniom Aug 12 '13 at 18:15

1 Answer 1

You are lacking the proper codecs. You must install libavcodec-extra-53, gstreamer0.10-plugins-ugly and gstreamer0.10-plugins-bad so you can get most advanced (and don't know who assumed less used) codecs available. Those allow you to reproduce almost any kind of video. If you aren't sure, normally ubuntu-restricted-extras should include them all.

share|improve this answer
    
Unfortunately it still doesn't work, I installed "libavcodec-extra-53" and "ubuntu-restricted-extras". –  Caruniom Aug 12 '13 at 19:35
    
I added 2 packages, gstreamer0.10-plugins-ugly includes video/x-h264 codec, and the high-10 profile, -bad should be installed to prevent incomplete set of codecs. –  Braiam Aug 12 '13 at 19:50
    
They were already installed. –  Caruniom Aug 12 '13 at 20:34

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.